# Pictures

As stated before, any product field can have one picture assigned to it. The same picture can be referenced by many fields, and many products, in several languages.

Pictures are uploaded to Mediablob by calling `UploadImage2` or `UploadAndClipImage`. When an image is uploaded, its **md5** hashCode is returned. Use this hashCode as future reference in products.

To reduce bandwidth usage, api users are encouraged to calculate the md5 hash code themselves and check if the image exists in Mediablob through the `ImageExists` or `ImageExistsMd5` functions prior to uploading images.

*Note: Images are always hashed before being processed by Mediablob services, so it can be correctly precalculated before uploading.*

*Note: It is not possible to delete images in Mediablob through the API.*

## UploadImage


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://shoppa.gitbook.io/knowledge-hub/api-documentation/endpoints/soap/pictures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
